Package org.springframework.core

# Interface ResolvableTypeProvider

public interface ResolvableTypeProvider
Any object can implement this interface to provide its actual `ResolvableType`.

Such information is very useful when figuring out if the instance matches a generic signature as Java does not convey the signature at runtime.

Users of this interface should be careful in complex hierarchy scenarios, especially when the generic type signature of the class changes in subclasses. It is always possible to return `null` to fallback on a default behavior.

Since:
  4.2
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`ResolvableType`
`getResolvableType()`
Return the `ResolvableType` describing this instance (or `null` if some sort of default should be applied instead).

## Method Details

### getResolvableType

@Nullable ResolvableType getResolvableType()
Return the `ResolvableType` describing this instance (or `null` if some sort of default should be applied instead).